%define upstream_name    Dist-Zilla-Plugin-Run
%define upstream_version 0.050

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Execute a command of the distribution before release
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Dist::Builder)
BuildRequires: perl(Dist::Zilla::Role::AfterBuild)
BuildRequires: perl(Dist::Zilla::Role::AfterMint)
BuildRequires: perl(Dist::Zilla::Role::AfterRelease)
BuildRequires: perl(Dist::Zilla::Role::BeforeArchive)
BuildRequires: perl(Dist::Zilla::Role::BeforeBuild)
BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(Dist::Zilla::Role::Plugin)
BuildRequires: perl(Dist::Zilla::Role::Releaser)
BuildRequires: perl(Dist::Zilla::Role::TestRunner)
BuildRequires: perl(Dist::Zilla::Role::VersionProvider)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::pushd)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(String::Formatter) >= 0.102.82
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::File::ShareDir)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(if)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Please be aware that so far just commands are possible which are inside
your distribution (its a TODO to fix this).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Jun 05 2024 tv <tv> 0.50.0-1.mga10
+ Revision: 2070205
- update to 0.050

* Tue Aug 29 2023 tv <tv> 0.49.0-1.mga10
+ Revision: 1980962
- update to 0.049

* Mon Mar 21 2022 umeabot <umeabot> 0.48.0-3.mga9
+ Revision: 1811345
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.48.0-2.mga8
+ Revision: 1522991
- Mageia 8 Mass Rebuild

* Thu Feb 14 2019 tv <tv> 0.48.0-1.mga7
+ Revision: 1366965
- update to 0.048

* Thu Sep 20 2018 umeabot <umeabot> 0.47.0-2.mga7
+ Revision: 1283336
- Mageia 7 Mass Rebuild

* Tue May 01 2018 tv <tv> 0.47.0-1.mga7
+ Revision: 1224193
- update to 0.047

* Wed Oct 04 2017 tv <tv> 0.46.0-1.mga7
+ Revision: 1168373
- update to 0.046

* Sun Jun 19 2016 pterjan <pterjan> 0.43.0-2.mga6
+ Revision: 1026573
- Rebuild for perl 5.22.2

* Wed Feb 24 2016 shlomif <shlomif> 0.43.0-1.mga6
+ Revision: 978726
- update to 0.043

* Fri Feb 19 2016 umeabot <umeabot> 0.42.0-2.mga6
+ Revision: 969080
- Mageia 6 Mass Rebuild

* Wed Aug 05 2015 sander85 <sander85> 0.42.0-1.mga6
+ Revision: 861329
- update to 0.042

* Sat Jun 27 2015 shlomif <shlomif> 0.39.0-1.mga6
+ Revision: 846421
- update to 0.039

* Wed Oct 15 2014 umeabot <umeabot> 0.26.0-3.mga5
+ Revision: 749812
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 0.26.0-1.mga5
+ Revision: 672889
- update to 0.026

* Thu Aug 07 2014 sander85 <sander85> 0.23.0-1.mga5
+ Revision: 660513
- update to 0.023

* Fri Jul 25 2014 sander85 <sander85> 0.22.0-1.mga5
+ Revision: 656445
- update to 0.022

* Mon Feb 24 2014 jquelin <jquelin> 0.21.0-1.mga5
+ Revision: 596256
- update to 0.021

* Sat Oct 19 2013 umeabot <umeabot> 0.20.0-2.mga4
+ Revision: 529917
- Mageia 4 Mass Rebuild

* Sun Jul 14 2013 sander85 <sander85> 0.20.0-1.mga4
+ Revision: 454085
- update to 0.020

* Sun Jan 13 2013 umeabot <umeabot> 0.13.0-2.mga3
+ Revision: 366425
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 14 2011 jquelin <jquelin> 0.13.0-1.mga2
+ Revision: 167643
- update to 0.013

* Tue Nov 08 2011 jquelin <jquelin> 0.12.0-1.mga2
+ Revision: 165440
- remove MYMETA from %%doc
- update to 0.012

* Mon Sep 26 2011 jquelin <jquelin> 0.10.0-1.mga2
+ Revision: 148043
- update to 0.010
- update to 0.008

* Wed Jun 15 2011 jquelin <jquelin> 0.6.0-1.mga2
+ Revision: 106914
- update to 0.006

* Tue Mar 15 2011 jquelin <jquelin> 0.5.0-1.mga1
+ Revision: 71603
- imported package perl-Dist-Zilla-Plugin-Run

